org.apache.http.client.utils

## Class JdkIdn

- java.lang.Object
- - org.apache.http.client.utils.JdkIdn

- All Implemented Interfaces:
    Idn

  Deprecated.
  (4.4) use standard `IDN`.

      @Contract(threading=IMMUTABLE)
      @Deprecated
      public class JdkIdn
      extends Object
      implements Idn

  Uses the java.net.IDN class through reflection.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdkIdn()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toUnicode(String punycode)` Deprecated. Converts a name from its punycode representation to Unicode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdkIdn

          public JdkIdn()
                 throws ClassNotFoundException

      Deprecated.
      Throws:
        `ClassNotFoundException` - if java.net.IDN is not available

  - ### Method Detail

    - #### toUnicode

          public String toUnicode(String punycode)

      Deprecated.
      Description copied from interface: `Idn`
      Converts a name from its punycode representation to Unicode. The name may be a single hostname or a dot-separated qualified domain name.
      Specified by:
        `toUnicode` in interface `Idn`
      Parameters:
        `punycode` - the Punycode representation
      Returns:
        the Unicode domain name

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.